/* CHAOS external declarations. The second section is all initialized
 * at startup.
 */


ext	chia	chiatbl[];		/* CHAOS interface address table */
ext	chia	*chiatlst[];		/* Per network CHAOS addr tbls */
ext	unsb	nchaddr;		/* Number of CHAOS net addresses */
ext	chfre	chfretbl[];		/* CHAOS fixed route table */
ext	unsb	nchfre;			/* Number of CHAOS net fixed routes */
ext	byte	ochtab[];		/* Info on which form on this subnet */


ext	pid	chpid;			/* PID of CHAOS protocol process */
ext	opc	chopc;			/* CHAOS forwarder signal */
ext	hndlre	*chhnd;			/* CHAOS process handler database */


/* Routing tables. These are separate tables so that they
 * may be accessed more efficiently. The way these work is that
 * they are indexed by subnet. The interface table returns
 * the interface over which packets to this net can be sent,
 * and the associated type table tells whether or not the
 * connection is direct or through a gateway; if so, we get
 * the address of the gateway from the gateway address tables.
 * The assocated gateway table is used for entries that
 * are updated dynamically by the routing info received from the
 * net; see the CHAOS routing algorithm description.
 */

ext	net	*chitab[];		/* Network interface lists */
ext	unsb	chttab[];		/* Interface type tables */
ext	chaddr	chgatab[];		/* Gateway table for nets */
ext	unsw	chgctab[];		/* Cost tables */
