#

/* Hand initialized network interface CHAOS address tables. Also various
 * other externals that can be set here.
 */


#include	<defs.h>
#include	"../../../mos/mos.h"
#include	"../../src/const.h"
#include	"../../src/net.h"
#include	"../../ch/ch.h"

#include	"netcnf.h"


/* Network interface address tables. These define the relationship
 * between network interfaces and their CHAOS addresses. The table comes
 * in two parts; one is a table indexed by interface number that
 * lists a chain of CHAOS addresses for that interface number, the first
 * being the primary, and the second is the interface address chains.
 * If an entry in the first table is NULL, that net has no CHAOS address.
 */

#define	NCHADDR	2

chia	chiatbl[NCHADDR]

{	{ { 052, 010 }, NULL, 9 },		/* VI LCSnet */
	{ { 010, 01 }, NULL, 11 },		/* CHAOS */
};

chia	*chiatlst[NNETS]

{	&chiatbl[0],	&chiatbl[1],
};


/* CHAOS fixed route tables. Each fixed route consists of a target net
 * number, the number of hops the gateway given for that net is away
 * from the destination (including one hop for the intevening net,
 * and the gateway's address). Note that the gateway must be on a
 * net that this gateway has an interface on.
 */

#define	NCHFRE	0

chfre	chfretbl[NCHFRE]

{
};


/* Various externals that can be set at compile time from info in
 * this file. Do not touch!
 */

unsb	nchaddr		NCHADDR;	/* Number of CHAOS net addresses */
unsb	nchfre		NCHFRE;		/* Number of CHAOS fixed routes */
